Subject: Re: under-performing bonded interfaces

From: Stephen Hemminger <[email-masked]>
Date: Wed, 21 Dec 2011 17:36:08 -0800

On Wed, 21 Dec 2011 20:26:04 -0500
Simon Chen <[email-masked]> wrote:

> Hi folks,
> 
> I added an Intel X520 card to both the sender and receiver... Now I
> have two 10G ports on a PCIe 2.0 x8 slot (5Gx8), so the bandwidth of
> the PCI bus shouldn't be the bottleneck.
> 
> Now the throughput test gives me around 16Gbps in aggregate. Any ideas
> how I can push closer to 20G? I don't quite understand where the
> bottleneck is now.

In my experience, Intel dual port cards can not run at full speed
when both ports are in use. You need separate slots to hit full
line rate.